#!/bin/bash
set -e

REGION=${AWS_DEFAULT_REGION:-me-central-1}
ACCOUNT_ID=$(aws sts get-caller-identity --query Account --output text)
STACK_NAME=SyncrowWebStack
CERTIFICATE_ARN="arn:aws:acm:us-east-1:$ACCOUNT_ID:certificate/b3ea57be-9bf0-4c66-8b01-9672ef1e8530"

echo "🧱 Building Flutter Web for PRODUCTION..."
flutter build web --target=lib/main.dart --release

echo "🚀 Deploying CDK stack..."
npx cdk deploy $STACK_NAME \
  --context certificateArn=$CERTIFICATE_ARN \
  --require-approval never

echo "✅ Deployment complete. Access the app at: https://app.syncrow.me"
